---
title: Disable R2 catalog
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[R2 Data Catalog](https://developers.cloudflare.com/api/go/resources/r2_data_catalog)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Disable R2 catalog

Deprecated: Use \`POST /accounts/{account\_id}/basin-catalog/{bucket\_name}/disable\` instead.

client.R2DataCatalog.Disable(ctx, bucketName, body) error

POST/accounts/{account\_id}/r2-catalog/{bucket\_name}/disable

Disable an R2 bucket as a catalog. This operation deactivates the catalog but preserves existing metadata and data files. The catalog can be re-enabled later.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers R2 Data Catalog Write`

##### ParametersExpand Collapse

bucketName string

Specifies the R2 bucket name.

maxLength63

minLength3

[Link to this property](<#(resource)%20r2_data_catalog%20%3E%20(method)%20disable%20%3E%20(params)%20default%20%3E%20(param)%20bucket_name%20%3E%20(schema)>)

<details>

<summary>

body R2DataCatalogDisableParams

</summary>

AccountID param.Field\[string]

Use this to identify the account.

<a href="#(resource)%20r2_data_catalog%20%3E%20(method)%20disable%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20r2_data_catalog%20%3E%20(method)%20disable%20%3E%20(params)%20default>)

### Disable R2 catalog

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/r2_data_catalog"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  err := client.R2DataCatalog.Disable(
    context.TODO(),
    "my-data-bucket",
    r2_data_catalog.R2DataCatalogDisableParams{
      AccountID: cloudflare.F("0123456789abcdef0123456789abcdef"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
}
```

##### Returns Examples